using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 项目附件
    /// </summary>
    [Description("项目附件")]
    public partial class T_TI_PROJECT_MONEY_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 子项ID
        /// </summary>
        [Description("子项ID")]
        [DataFieldForeignKey("Nav_Detail", "Nav_Files")]
        public Guid DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：计划
        /// </summary>
        [Description("导航：项目")]
        public virtual T_TI_PROJECT_MONEY_DETAIL Nav_Detail { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }

    }
}
